| Home | Libraries | People | FAQ | More

## Struct template map_of

boost::container::pmr::map_of

## Synopsis

    // In header: <boost/container/pmr/map.hpp>

    template<typename Key, typename T, typename Compare = std::less<Key>,
             typename Options = void>
    struct map_of {
      // types
      typedef boost::container::map< Key, T, Compare, polymorphic_allocator< std::pair< const Key, T > >, Options > type;
    };

## Description

A portable metafunction to obtain a map that uses a polymorphic allocator